summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author GOSIKI Agiri2019-07-30 16:56:04 +0200
committer Willy Sudiarto Raharjo2019-07-30 16:56:04 +0200
commit89076711f5e7d3cb0fab571faed7b9d5f2ad9fa0 (patch)
tree302e624f2dc284597690f75e59ae92bfd648c230 /games
parent6402f0061aba8b41bfce9eb1a0d8af7f6b043966 (diff)
downloadslackbuilds-89076711f5e7d3cb0fab571faed7b9d5f2ad9fa0.tar.gz
games/gnurobbo: Added (Atari XE game FOOS Implementation).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/gnurobbo/README8
-rw-r--r--games/gnurobbo/gnurobbo-fix_linking.diff11
-rw-r--r--games/gnurobbo/gnurobbo.SlackBuild106
-rw-r--r--games/gnurobbo/gnurobbo.info10
-rw-r--r--games/gnurobbo/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/games/gnurobbo/README b/games/gnurobbo/README
new file mode 100644
index 0000000000..20cc297d3f
--- /dev/null
+++ b/games/gnurobbo/README
@@ -0,0 +1,8 @@
+GNU Robbo is a free and open source implementation of Janusz Pelc's
+Robbo for the Atari XE/XL, which was distributed by LK Avalon in
+1989.
+
+This script will build it without support for TrueType fonts by
+default. If you want to enable it, please pass variable
+TTFONTS=yes to the script but be aware that this will link against
+SDL_ttf.
diff --git a/games/gnurobbo/gnurobbo-fix_linking.diff b/games/gnurobbo/gnurobbo-fix_linking.diff
new file mode 100644
index 0000000000..0c3d1b9b0d
--- /dev/null
+++ b/games/gnurobbo/gnurobbo-fix_linking.diff
@@ -0,0 +1,11 @@
+--- Makefile.old 2019-07-29 07:34:04.356456054 +0200
++++ Makefile 2019-07-29 07:34:20.286630637 +0200
+@@ -46,7 +46,7 @@
+ # -DPACKAGE_DATA_DIR=\"$(PACKAGE_DATA_DIR)\" $(FONT_USE_PIXMAP) $(MUSIC) $(DESIGNER)
+ #LDFLAGS=-pg
+ LINK=$(CC)
+-LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF)
++LIBS=`$(SDL_CONFIG) --libs` -lSDL_image -lSDL_mixer $(FONT_USE_SDL_TTF) -lm
+
+ # You won't need to alter anything below
+ all: $(SOURCES) $(TARGET)
diff --git a/games/gnurobbo/gnurobbo.SlackBuild b/games/gnurobbo/gnurobbo.SlackBuild
new file mode 100644
index 0000000000..a85be7ff33
--- /dev/null
+++ b/games/gnurobbo/gnurobbo.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for gnurobbo
+
+# Copyright 2019 GOSIKI Agiri
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnurobbo
+VERSION=${VERSION:-0.66}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# fix the linking process
+patch -p0 < $CWD/gnurobbo-fix_linking.diff
+
+# use a pixmap font to reduce deps by default, also it looks cooler
+TTFONTS=${TTFONTS:-no}
+if [ ! $TTFONTS == "yes" ]; then
+ sed -i Makefile -e 's/^FONT_USE_SDL_TTF/#FONT_USE_SDL_TTF/' \
+ -e 's/#FONT_USE_PIXMAP/FONT_USE_PIXMAP/'
+fi
+
+make \
+ PACKAGE_DATA_DIR=/usr/share/games/$PRGNAM \
+ BINDIR=/usr/games \
+ DOCDIR=/usr/share/$PRGNAM \
+# CFLAGS="$SLKCFLAGS" \
+# CXXFLAGS="$SLKCFLAGS"
+
+make install BINDIR=$PKG/usr/games \
+ DOCDIR=$PKG/usr/share/$PRGNAM \
+ PACKAGE_DATA_DIR=$PKG/usr/share/games/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS Bugs TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gnurobbo/gnurobbo.info b/games/gnurobbo/gnurobbo.info
new file mode 100644
index 0000000000..2a684743ed
--- /dev/null
+++ b/games/gnurobbo/gnurobbo.info
@@ -0,0 +1,10 @@
+PRGNAM="gnurobbo"
+VERSION="0.66"
+HOMEPAGE="http://gnurobbo.sourceforge.net"
+DOWNLOAD="https://downloads.sourceforge.net/project/gnurobbo/gnurobbo/gnurobbo%200.66/gnurobbo-0.66-source.tar.gz"
+MD5SUM="77fdf9a186a08c1f95b94bd35ebbc21c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="GOSIKI Agiri"
+EMAIL="agiri@cocaine.ninja"
diff --git a/games/gnurobbo/slack-desc b/games/gnurobbo/slack-desc
new file mode 100644
index 0000000000..9e6d163e3d
--- /dev/null
+++ b/games/gnurobbo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnurobbo: gnurobbo (a FOSS implementation of a Polish Atari XE game)
+gnurobbo:
+gnurobbo: GNU Robbo is a free and open source implementation of Janusz Pelc's
+gnurobbo: Robbo for the Atari XE/XL, which was distributed by LK Avalon in
+gnurobbo: 1989.
+gnurobbo:
+gnurobbo: Homepage: http://gnurobbo.sourceforge.net/
+gnurobbo:
+gnurobbo:
+gnurobbo:
+gnurobbo: